CS1S2(3)

SYNOPSIS
SUBROUTINE CS1S2 (ZR, S1, S2, NZ, ASCLE, ALIM, IUF)

NAME
cs1s2 - Subsidiary to CAIRY and CBESK

LIBRARY
SLATEC

TYPE
ALL (CS1S2-A, ZS1S2-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
CS1S2 TESTS FOR A POSSIBLE UNDERFLOW RESULTING FROM THE ADDITION OF THE I AND K FUNCTIONS IN THE ANALYTIC CON- TINUATION FORMULA WHERE S1=K FUNCTION AND S2=I FUNCTION. ON KODE=1 THE I AND K FUNCTIONS ARE DIFFERENT ORDERS OF MAGNITUDE, BUT FOR KODE=2 THEY CAN BE OF THE SAME ORDER OF MAGNITUDE AND THE MAXIMUM MUST BE AT LEAST ONE PRECISION ABOVE THE UNDERFLOW LIMIT.

SEE ALSO
CAIRY, CBESK

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)